#ifndef COMMONFUNC_H
#define COMMONFUNC_H

#include <QPixmap>

// 设置一下鼠标的居于主屏中央
void setCursorCenter();

QPixmap scaledPixmap(QPixmap src);

QPixmap PixmapToRound(const QPixmap &src, int radius);

const QPixmap loadSvg(const QString &path, const QString color, int size);

QPixmap drawSymbolicColoredPixmap(const QPixmap &source, QString cgColor);

QPixmap getLoadingIcon(int size);

QPixmap blurPixmap(QPixmap pixmap);

QPixmap scaleBlurPixmap(int width, int height, QString url);

#endif // COMMONFUNC_H
